Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in / Register
Toggle navigation
slapos
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
Analytics
Analytics
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Commits
Issue Boards
Open sidebar
Tristan Cavelier
slapos
Commits
c718ac84
Commit
c718ac84
authored
Feb 09, 2017
by
Tristan Cavelier
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
xxx rewrite cef fetch.sh
parent
822a46d0
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
65 additions
and
1 deletion
+65
-1
component/onlyoffice-core/buildout.cfg
component/onlyoffice-core/buildout.cfg
+1
-1
component/onlyoffice-core/rewrite-scripts.patch
component/onlyoffice-core/rewrite-scripts.patch
+64
-0
No files found.
component/onlyoffice-core/buildout.cfg
View file @
c718ac84
...
...
@@ -13,7 +13,7 @@ url = https://github.com/ONLYOFFICE/core/archive/win-v4.3.0.56.tar.gz
md5sum = 76c0e29ed783067799b72294edcb00db
patch-options = -p0
patches =
${:_profile_base_location_}/rewrite-scripts.patch#
d10bd4a75b8aa51b714bd9de092db276
${:_profile_base_location_}/rewrite-scripts.patch#
0dfd451f95d4bd0677538d7bed41f3ca
${:_profile_base_location_}/cryptopp.patch#a2f892e23e13952539d1acfd013be7de
# ${:_profile_base_location_}/avoid-7z.patch#0dd7356c1a766ec14e0e8bcafcffe1a7
# error: 'to_wstring' is not a member of 'std' -> http://www.cplusplus.com/forum/general/109469/
...
...
component/onlyoffice-core/rewrite-scripts.patch
View file @
c718ac84
...
...
@@ -45,6 +45,70 @@
-fi
+ ( cd "$SCRIPTPATH" && tar xf boost_1_58_0.tar.gz )
fi
--- Common/3dParty/cef/fetch.sh.orig 2017-02-06 12:11:47.539258686 +0000
+++ Common/3dParty/cef/fetch.sh 2017-02-09 08:15:24.016250430 +0000
@@ -1,4 +1,6 @@
#!/bin/bash
+# XXX actualy, this file should be named fetch.bash
+set -e
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
@@ -20,37 +22,27 @@
*) arch="_32" ;;
esac
-if [[ -d "$SCRIPTPATH/$platform$arch" ]]
-then
-echo
-else
-mkdir "$SCRIPTPATH/$platform$arch"
+if [ ! -d "$SCRIPTPATH/$platform$arch" ]; then
+ mkdir "$SCRIPTPATH/$platform$arch"
fi
cd "$SCRIPTPATH/$platform$arch"
-if [ -d "build" ]
-then
-echo ""
-else
-mkdir "build"
+if [ ! -d build ]; then
+ mkdir "build"
fi
-if [[ "$platform" == *"linux"* ]]
-then
-if [[ -f "cef_binary.7z" ]]
-then
-echo "cef_binary already downloaded"
-else
-wget http://d2ettrnqo7v976.cloudfront.net/cef/2454/$platform$arch/cef_binary.7z
-fi
-if [ -d cef_binary ]
-then
-echo "cef_binary already extracted"
-else
-
-7z x -y cef_binary.7z
-fi
-cp -r -t build/ ./cef_binary/Release/* ./cef_binary/Resources/*
-chmod a+xr build/locales
+if [[ "$platform" == *linux* ]]; then
+ if [ -f cef_binary.7z ]; then
+ echo "cef_binary already downloaded"
+ else
+ wget http://d2ettrnqo7v976.cloudfront.net/cef/2454/$platform$arch/cef_binary.7z
+ fi
+ if [ -d cef_binary ]; then
+ echo "cef_binary already extracted"
+ else
+ 7z x -y cef_binary.7z
+ fi
+ cp -r -t build/ ./cef_binary/Release/* ./cef_binary/Resources/*
+ chmod a+xr build/locales
fi
--- Common/3dParty/cryptopp/build.sh.orig 2017-01-30 15:04:58.221156379 +0100
+++ Common/3dParty/cryptopp/build.sh 2017-01-30 15:04:48.103156175 +0100
@@ -1,4 +1,6 @@
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment